"use strict";

var _path = _interopRequireDefault(require("path"));

var _fsExtra = require("fs-extra");

var _projectSettings = require("../webpack/projectSettings");

var _utilities = require("../utilities");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _utilities.bootstrap)({
  skipServerImport: true
}).then(function () {
  // eslint-disable-next-line no-underscore-dangle
  var file = global.__devToolkitCommandOptions.file || false;

  if (file && typeof file === 'string') {
    (0, _utilities.log)({
      message: 'Import your file…\n',
      useSeparator: true
    });

    var pathName = _path.default.resolve(_projectSettings.projectRoot, file);

    Promise.resolve().then(function () {
      return require("".concat(pathName));
    }).catch(function (error) {
      (0, _utilities.help)({
        displayedWhen: file && !(0, _fsExtra.pathExistsSync)(pathName),
        warning: "File '".concat(file, "' doesn't exist."),
        error: error
      });
    });
  }
});