"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = require("fs-extra");

var _log = _interopRequireDefault(require("../log"));

var _help = _interopRequireDefault(require("../help"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-underscore-dangle */
var _default = function _default(_ref) {
  var preRenderEntryPoint = _ref.preRenderEntryPoint;
  return new Promise(function (resolve) {
    var entryPoint = "".concat(preRenderEntryPoint, ".js");
    (0, _log.default)({
      message: 'Importing Entry Point…'
    });
    Promise.resolve().then(function () {
      return require("".concat(entryPoint));
    }).then(function (module) {
      resolve({
        server: {
          preRender: module.default
        }
      });
    }).catch(function (error) {
      (0, _help.default)({
        displayedWhen: !(0, _fsExtra.pathExistsSync)(entryPoint),
        warning: 'You need to specify a valid entry point. (using an absolute path)',
        instruction: "Does the file you specified exist? `".concat(entryPoint, "`?"),
        link: '/dev-toolkit#serverless-render',
        error: error
      });
    });
  });
};

exports.default = _default;