"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = require("fs-extra");

var _log = _interopRequireDefault(require("../log"));

var _help = _interopRequireDefault(require("../help"));

var _projectSettings = require("../../webpack/projectSettings");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function _default() {
  return new Promise(function (resolve) {
    (0, _log.default)({
      message: 'Importing Server App…'
    });
    Promise.resolve().then(function () {
      return require("".concat(_projectSettings.serverAppEntryPoint));
    }).then(function (module) {
      var server = module.default;
      resolve({
        server: server
      });
    }).catch(function (error) {
      (0, _help.default)({
        displayedWhen: !(0, _fsExtra.pathExistsSync)(_projectSettings.serverAppEntryPoint),
        warning: 'You need a server app entry point.',
        instruction: 'Do you have the file `src/server/index.js`?',
        link: '/dev-toolkit#custom-server',
        error: error
      });
    });
  });
};

exports.default = _default;