"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getUserSettings = _interopRequireDefault(require("./getUserSettings"));

var _importServerApp = _interopRequireDefault(require("./importServerApp"));

var _createEmptyServerApp = _interopRequireDefault(require("./createEmptyServerApp"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-underscore-dangle */
var _default = function _default() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
    skipServerImport: false
  },
      skipServerImport = _ref.skipServerImport;

  var userSettings = (0, _getUserSettings.default)();
  return new Promise(function (resolve, reject) {
    if (skipServerImport) {
      resolve({
        userSettings: userSettings
      });
    } else {
      var preRenderEntryPoint = global.__devToolkitCommandOptions.preRenderEntryPoint;

      if (preRenderEntryPoint) {
        (0, _createEmptyServerApp.default)({
          preRenderEntryPoint: preRenderEntryPoint
        }).then(function (_ref2) {
          var server = _ref2.server;
          return resolve({
            server: server,
            userSettings: userSettings
          });
        }).catch(reject);
      } else {
        (0, _importServerApp.default)().then(function (_ref3) {
          var server = _ref3.server;
          return resolve({
            server: server,
            userSettings: userSettings
          });
        }).catch(reject);
      }
    }
  });
};

exports.default = _default;