"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fsExtra = require("fs-extra");

var _log = _interopRequireDefault(require("./log"));

var _projectSettings = require("../webpack/projectSettings");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function _default() {
  return new Promise(function (resolve) {
    if ((0, _fsExtra.pathExistsSync)(_projectSettings.assetsManifestFile)) {
      Promise.resolve().then(function () {
        return require("".concat(_projectSettings.assetsManifestFile));
      }).then(function (json) {
        resolve({
          assets: json
        });
      }).catch(function (error) {
        (0, _log.default)({
          message: "Couldn't read `assets-manifest.json`",
          error: error
        });
      });
    } else {
      (0, _log.default)({
        message: '`assets-manifest.json` not found. '
      });
      resolve({
        assets: {}
      });
    }
  });
};

exports.default = _default;