"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _message = _interopRequireDefault(require("./message"));

var _error = _interopRequireDefault(require("./error"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function _default(_ref) {
  var message = _ref.message,
      error = _ref.error,
      type = _ref.type,
      title = _ref.title,
      useSeparator = _ref.useSeparator;

  /* eslint-disable no-underscore-dangle */
  var silent = global.__devToolkitCommandOptions && global.__devToolkitCommandOptions.silent || false; // Silence out any logs if necessary

  if (!silent) {
    if (message) {
      (0, _message.default)({
        message: message,
        type: type,
        title: title,
        useSeparator: useSeparator
      });
    }
  } // Keep logging errors though


  if (error) {
    (0, _error.default)({
      error: error
    });
  }
};

exports.default = _default;