"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _babelRunner = _interopRequireDefault(require("babel-runner"));

var _utilities = require("../utilities");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-underscore-dangle */
var _default = function _default(_ref) {
  var command = _ref.command,
      message = _ref.message,
      options = _ref.options,
      programmatic = _ref.programmatic,
      skipPrimaryLog = _ref.skipPrimaryLog;
  // Pass options down to specific command
  global.__devToolkitCommandOptions = options || {}; // Display message to user, making it clear what's going on

  (0, _utilities.log)({
    title: programmatic ? 'dev-toolkit' : command,
    message: programmatic ? "Running command `".concat(command, "`") : message,
    useSeparator: true
  });

  if (!skipPrimaryLog) {
    (0, _utilities.log)({
      message: 'Adding universal configuration…'
    });
  }

  try {
    (0, _babelRunner.default)({
      fileToRun: _path.default.resolve(__dirname, "../commands/".concat(command))
    });
  } catch (error) {
    (0, _utilities.log)({
      error: error
    });
  }
};

exports.default = _default;