"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.assetsPath = exports.publicPath = exports.entryPoint = exports.assetsManifestFile = exports.assetsManifestName = exports.assetsManifestFolder = exports.userSettingsPath = exports.serverAppEntryPoint = exports.buildFolder = exports.projectRoot = exports.defaultTemplate = exports.generatedTemplatesWithoutComments = exports.generatedTemplates = exports.originalTemplates = exports.gitRepoRoot = exports.devToolkitDistribution = exports.devToolkitRoot = void 0;

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// dev-toolkit specific Folders
var devToolkitRoot = _path.default.resolve(__dirname, '../../');

exports.devToolkitRoot = devToolkitRoot;

var devToolkitDistribution = _path.default.resolve(devToolkitRoot, 'dist');

exports.devToolkitDistribution = devToolkitDistribution;

var gitRepoRoot = _path.default.resolve(devToolkitRoot, '../../');

exports.gitRepoRoot = gitRepoRoot;

var originalTemplates = _path.default.resolve(gitRepoRoot, 'templates');

exports.originalTemplates = originalTemplates;

var generatedTemplates = _path.default.resolve(devToolkitDistribution, 'generated-templates/original');

exports.generatedTemplates = generatedTemplates;

var generatedTemplatesWithoutComments = _path.default.resolve(devToolkitDistribution, 'generated-templates/skipped-comments');

exports.generatedTemplatesWithoutComments = generatedTemplatesWithoutComments;
var defaultTemplate = 'standard'; // User Project Related Folders & Settings

exports.defaultTemplate = defaultTemplate;
var projectRoot = process.cwd();
exports.projectRoot = projectRoot;

var buildFolder = _path.default.resolve(projectRoot, 'build');

exports.buildFolder = buildFolder;

var serverAppEntryPoint = _path.default.resolve(projectRoot, 'src/server/index.js');

exports.serverAppEntryPoint = serverAppEntryPoint;

var userSettingsPath = _path.default.resolve(projectRoot, 'dev-toolkit.config.js');

exports.userSettingsPath = userSettingsPath;
var assetsManifestFolder = buildFolder;
exports.assetsManifestFolder = assetsManifestFolder;
var assetsManifestName = 'assets-manifest.json';
exports.assetsManifestName = assetsManifestName;

var assetsManifestFile = _path.default.resolve(assetsManifestFolder, assetsManifestName);

exports.assetsManifestFile = assetsManifestFile;
var entryPoint = './src/client/index.js'; // Make sure leading slash & trailing slash is present (otherwise source-map won't work)

exports.entryPoint = entryPoint;
var publicPath = (process.env.ASSETS_PATH || '/assets').replace(/^\/?/, '/').replace(/\/?$/, '/'); // Remove leading slash from public path to create correct file-path

exports.publicPath = publicPath;

var assetsPath = _path.default.resolve(buildFolder, publicPath.replace(/^\//, ''));

exports.assetsPath = assetsPath;